%define ocamlname ppx_hash

Name:           ocaml-%{ocamlname}
Version:        0.10.0
Release:        1%{?dist}.emp1
Summary:        A ppx rewriter that generates hash functions from type expressions and definitions
License:        Apache-2.0
URL:            https://github.com/janestreet/%{ocamlname}
Source0:        %{ocamlname}-v%{version}.tar.gz

Requires:       ocaml >= 4.04.1
Requires:       ocaml-base >= 0.10
Requires:       ocaml-base < 0.11
Requires:       ocaml-ppx_compare >= 0.10
Requires:       ocaml-ppx_compare < 0.11
Requires:       ocaml-ppx_core >= 0.10
Requires:       ocaml-ppx_core < 0.11
Requires:       ocaml-ppx_driver >= 0.10
Requires:       ocaml-ppx_driver < 0.11
Requires:       ocaml-ppx_metaquot >= 0.10
Requires:       ocaml-ppx_metaquot < 0.11
Requires:       ocaml-ppx_sexp_conv >= 0.10
Requires:       ocaml-ppx_sexp_conv < 0.11
Requires:       ocaml-ppx_type_conv >= 0.10
Requires:       ocaml-ppx_type_conv < 0.11
Requires: 	ocaml-ocaml-migrate-parsetree >= 0.4

BuildRequires:  opam-installer >= 2.0
BuildRequires:  ocaml >= 4.04.1
BuildRequires:  jbuilder
BuildRequires:  ocaml-base-devel >= 0.10
BuildRequires:  ocaml-base-devel < 0.11
BuildRequires:  ocaml-ppx_compare-devel >= 0.10
BuildRequires:  ocaml-ppx_compare-devel < 0.11
BuildRequires:  ocaml-ppx_core-devel >= 0.10
BuildRequires:  ocaml-ppx_core-devel < 0.11
BuildRequires:  ocaml-ppx_driver-devel >= 0.10
BuildRequires:  ocaml-ppx_driver-devel < 0.11
BuildRequires:  ocaml-ppx_metaquot-devel >= 0.10
BuildRequires:  ocaml-ppx_metaquot-devel < 0.11
BuildRequires:  ocaml-ppx_sexp_conv-devel >= 0.10
BuildRequires:  ocaml-ppx_sexp_conv-devel < 0.11
BuildRequires:  ocaml-ppx_type_conv-devel >= 0.10
BuildRequires:  ocaml-ppx_type_conv-devel < 0.11
BuildRequires: 	ocaml-ocaml-migrate-parsetree-devel >= 0.4

%description
Part of the Jane Street's PPX rewriters collection.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-base-devel >= 0.10
Requires:       ocaml-base-devel < 0.11
Requires:       ocaml-ppx_compare-devel >= 0.10
Requires:       ocaml-ppx_compare-devel < 0.11
Requires:       ocaml-ppx_core-devel >= 0.10
Requires:       ocaml-ppx_core-devel < 0.11
Requires:       ocaml-ppx_driver-devel >= 0.10
Requires:       ocaml-ppx_driver-devel < 0.11
Requires:       ocaml-ppx_metaquot-devel >= 0.10
Requires:       ocaml-ppx_metaquot-devel < 0.11
Requires:       ocaml-ppx_sexp_conv-devel >= 0.10
Requires:       ocaml-ppx_sexp_conv-devel < 0.11
Requires:       ocaml-ppx_type_conv-devel >= 0.10
Requires:       ocaml-ppx_type_conv-devel < 0.11
Requires: 	ocaml-ocaml-migrate-parsetree-devel >= 0.4

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-v%{version}

%build
jbuilder build  -p %{ocamlname} %{?_smp_mflags}

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%files
%doc %{_libdir}/ocaml/doc/%{ocamlname}/LICENSE.txt
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
